﻿<%@ Page Language="vb" AutoEventWireup="true"  CodeFile="Default.aspx.vb" Inherits="_Default" MasterPageFile="~/Site.master" Title="ASP.NET Scheduler with On-Demand Event Loading" %>
<%@ Register Assembly="DayPilot" Namespace="DayPilot.Web.Ui" TagPrefix="DayPilot" %>
<asp:Content ID="HeaderContent" runat="server" ContentPlaceHolderID="HeadContent">
	<script type="text/javascript" src="js/daypilot-modal-2.1.js"></script>
	<script type="text/javascript" src="js/jquery-1.9.1.min.js"></script>
	<link href='css/main.css' type="text/css" rel="stylesheet" /> 
</asp:Content>

<asp:Content ID="BodyContent" runat="server" ContentPlaceHolderID="MainContent">

<script type="text/javascript">
	function add() {
		var start = new DayPilot.Date().getDatePart();
		var end = start.addDays(1);
		modal().showUrl('New.aspx?start=' + start + '&end=' + end);
	}
	function edit(e) {
		modal().showUrl("Edit.aspx?id=" + e.id());
	}
	function modal() {
		var m = new DayPilot.Modal();
		m.closed = function () {
			var data = this.result;
			console.log(data);
			if (data == "OK") {
				Scheduler.commandCallBack("refresh");
			}
		};
		return m;
	}
</script>

<div class="space">
	<asp:LinkButton ID="LinkButtonSample" ForeColor="Gray" runat="server" OnClick="LinkButtonSample_Click">Clear and Generate Random Data</asp:LinkButton>
</div>

<DayPilot:DayPilotScheduler 
	runat="server" 
	ID="Scheduler"
	ClientIDMode="Static"
	Scale="Day"
	OnCommand="Scheduler_Command"
	EventMoveHandling="Notify"
	OnEventMove="Scheduler_EventMove"
	EventResizeHandling="Notify"
	OnEventResize="Scheduler_EventResize"
	OnBeforeEventRender="Scheduler_BeforeEventRender"
	OnBeforeResHeaderRender="Scheduler_BeforeResHeaderRender"
	EventClickHandling="JavaScript"
	EventClickJavaScript="edit(e)"

	DynamicLoading="true"
	OnScroll="Scheduler_OnScroll"
	DynamicEventRenderingCacheSweeping="true"
	DynamicEventRenderingCacheSize="0"
	DynamicEventRenderingMargin="1000"

	>
	<TimeHeaders>
		<DayPilot:TimeHeader GroupBy="Month" Format="MMMM yyyy" />
		<DayPilot:TimeHeader GroupBy="Cell" />
	</TimeHeaders>
</DayPilot:DayPilotScheduler>

</asp:Content>